Get a transcription job
curl --request GET \
--url https://stt.eu.mihu.ai/v1/audio/transcriptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "6f1d2c3b-9a4e-4b7c-8d2f-1e0a5b9c7d36",
"object": "transcription.job",
"status": "processing",
"model": "umay",
"language": "tr",
"duration": 3600,
"created_at": 1793145600,
"started_at": 1793145601,
"completed_at": null,
"processing_time": null,
"progress": 0.42,
"expires_at": null,
"source": {
"type": "upload",
"filename": "call-1042.wav",
"size_bytes": 115200044
},
"request": {
"model": "umay",
"language": "tr",
"response_format": "json",
"language_model": false,
"normalize": true,
"diarize": true,
"gender_detection": false,
"speaker_lock": false,
"voice_isolation": false,
"hints": false,
"max_speakers": 8
},
"webhook": {
"state": "waiting",
"attempts": 0,
"last_status": null,
"last_error": null,
"next_attempt_at": null
},
"metadata": {
"call_id": "C-1042"
}
}Transcription
Get a transcription job
Status and result of an asynchronous transcription. status: queued, processing, completed, failed. The job is deleted 1 hour after completion.
GET
/
v1
/
audio
/
transcriptions
/
{id}
Get a transcription job
curl --request GET \
--url https://stt.eu.mihu.ai/v1/audio/transcriptions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stt.eu.mihu.ai/v1/audio/transcriptions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "6f1d2c3b-9a4e-4b7c-8d2f-1e0a5b9c7d36",
"object": "transcription.job",
"status": "processing",
"model": "umay",
"language": "tr",
"duration": 3600,
"created_at": 1793145600,
"started_at": 1793145601,
"completed_at": null,
"processing_time": null,
"progress": 0.42,
"expires_at": null,
"source": {
"type": "upload",
"filename": "call-1042.wav",
"size_bytes": 115200044
},
"request": {
"model": "umay",
"language": "tr",
"response_format": "json",
"language_model": false,
"normalize": true,
"diarize": true,
"gender_detection": false,
"speaker_lock": false,
"voice_isolation": false,
"hints": false,
"max_speakers": 8
},
"webhook": {
"state": "waiting",
"attempts": 0,
"last_status": null,
"last_error": null,
"next_attempt_at": null
},
"metadata": {
"call_id": "C-1042"
}
}